import * as $dara from '@darabonba/typescript';
export declare class DescribeWhiteListStrategyListResponseBodyStrategies extends $dara.Model {
    /**
     * @remarks
     * The status of the policy. Valid values:
     *
     * *   **0**: disabled
     * *   **1**: learning
     * *   **2**: paused
     * *   **3**: learning completed
     * *   **4**: enabled
     *
     * @example
     * 1
     */
    status?: number;
    /**
     * @remarks
     * The ID of the policy.
     *
     * @example
     * 8795555
     */
    strategyId?: number;
    /**
     * @remarks
     * The name of the policy.
     *
     * @example
     * test
     */
    strategyName?: string;
    /**
     * @remarks
     * The intelligent learning duration. Unit: hour.
     *
     * @example
     * 5
     */
    studyTime?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeWhiteListStrategyListResponseBody extends $dara.Model {
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 571B2642-BF51-5BDD-906B-D2340DB9****
     */
    requestId?: string;
    /**
     * @remarks
     * The information about the policies.
     */
    strategies?: DescribeWhiteListStrategyListResponseBodyStrategies[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
